french-conjugator(1)

NOM
french-conjugator - conjugue des verbes français

SYNOPSIS
echo aimer | french-conjugator > result.txt

DESCRIPTION
french-conjugator lit la forme infinitive de verbes français de la ligne de commande ou de l'entrée standard et écrit (dans la sortie standard) la conjugaison complète de ces verbes, s'ils sont connus.

L'entrée standard n'est pas lue si des verbes sont passés sur la ligne de commande.

Chaque mode et temps est introduit par une ligne qui commence par un trait d'union et un espace, et termine par un deux-points. Le temps et le mode sur cette ligne sont toujours en anglais, sans égard aux paramètres régionaux de l'usager. (Ceci sert à faciliter le parsing du résultat. Pour une interface-usager en français, voir l'application et l'applet GNOME.) La conjugaison est terminée par une ligne qui ne contient qu'un trait d'union. Si le verbe entré est inconnu ou s'il n'est pas dans sa forme infinitive, seule cette ligne est écrite.

La commande écoule son tampon d'écriture après avoir fini chaque réponse. Ceci permet à la commande d'être facilement appelée à partir d'un autre programme via deux «pipes.»

La commande commence par charger sa base de données à partir de fichiers XML (situés typiquement dans /usr/share/verbiste). Ceci prend un certain temps, alors c'est une bonne idée de faire répondre la commande à plusieurs requêtes plutôt que de l'exécuter pour chaque requête.

L'archive des sources de la librairie verbiste contient des exemples de programmes en Perl et en Java qui illustrent cette technique.

Il ne doit pas y avoir de caractères blancs au début ou à la fin des lignes lues par la commande.

Au participe passé, quatre lignes sont écrites: elles correspondent dans l'ordre au masculin singulier, masculine pluriel, féminin singulier et féminin pluriel.

OPTIONS

--help
    afficher une page d'aide et quitter

--version
    afficher le numéro de version et quitter

--lang=L
    sélectionne la langue à utiliser (fr pour le français ou it pour l'italien); le français est la langue par défaut

--mode=M
    afficher seulement le monde M, où M peut être infinitive, indicative, conditional, subjunctive, imperative ou participle

--tense=T
    afficher seulement le temps T, où T peut être present, past, imperfect ou future

--pronouns
    afficher les pronoms

--all-infinitives
    écrire la forme infinitive de tous les verbes dans la base de connaissances, une par ligne, non ordonnée -- les autres arguments passés sur la ligne de commande sont ignorés

EXAMPLES
$ french-conjugator aimer
- infinitive present:
aimer
- indicative present:
aime
aimes
aime
aimons
aimez
aiment
- indicative imperfect:
aimais
aimais
aimait
[...]
- participle past:
aimé
aimés
aimée
aimées
-

LICENCE
Ce programme est un logiciel libre; vous pouvez le redistribuer sous les termes de la GNU General Public License. Ce programme ne vient avec absolument aucune garantie.

AUTEUR
Voir la page de manuel de verbiste(3).

BOGUES
Voir la page de manuel de verbiste(3).

VOIR AUSSI
verbiste(3), french-deconjugator(1).